GET /texts

callfire.com:V2

Summary: Find texts
Operation ID: findTexts
Auth: unknown
Description

Searches for texts sent or received by user. Use "campaignId=0" parameter to query for all texts sent through the POST /texts API. See [call states and results](https://developers.callfire.com/results-responses-errors.html)

Parameters (14)

batchId (integer, query, optional)

An Id of a contact batch, queries for texts which are used in the particular contact batch

campaignId (integer, query, optional)

An id of a campaign, queries for texts inside a particular campaign. Specify null to list texts of all campaigns or 0 for a default campaign

fields (string, query, optional)

Limit fields received in response. E.g. fields: id, name or fields items (id, name), see more at [partial response](https://developers.callfire.com/docs.html#partial-response) page.

fromNumber (string, query, optional)

A phone number in E.164 format (11-digit). Example: 12132000384, 67076

id (array, query, optional)

List of Text ids to search for, if ids specified other query params ignored

inbound (boolean, query, optional)

Specify true for inbound or false for outbounds. Do not specify this parameter if you need to get both inbound and outbound texts listed in response

intervalBegin (integer, query, optional)

Start of the find time interval, formatted in unix time milliseconds. Example: 1473781817000

intervalEnd (integer, query, optional)

End of the find time interval, formatted in unix time milliseconds. Example: 1473781817000

label (string, query, optional)

A label of a text message

limit (integer, query, optional, default: 10)

To set the maximum number of records to return in a paged list response. The default is 100

offset (integer, query, optional, default: 0)

Offset to the start of a given page. The default is 0. Check [pagination](https://developers.callfire.com/docs.html#pagination) page for more information about pagination in CallFire API.

results (string, query, optional)

Expected text results in comma separated string, available values: SENT, RECEIVED, DNT, TOO_BIG, INTERNAL_ERROR, CARRIER_ERROR, CARRIER_TEMP_ERROR, UNDIALED. See [call states and results](https://developers.callfire.com/results-responses-errors.html)

states (string, query, optional)

Expected text statuses in comma separated string, available values: READY, SELECTED, CALLBACK, FINISHED, DISABLED, DNC, DUP, INVALID, TIMEOUT, PERIOD_LIMIT. See [call states and results](https://developers.callfire.com/results-responses-errors.html)

toNumber (string, query, optional)

A phone number in E.164 format (11-digit). Example: 12132000384, 67076

No probe data for this endpoint yet.